#ifndef dllclass2_h_included
#define dllclass2_h_included

#include "dllclass1.h"

#undef DLLIMPORT
#if BUILDING_DLL2
# define DLLIMPORT __declspec (dllexport)
#else /* Not BUILDING_DLL2 */
# define DLLIMPORT __declspec (dllimport)
#endif /* Not BUILDING_DLL2 */

class DLLIMPORT 
DllClassDerived : public DllClass {
public:
  DllClassDerived (int i = 0);
  virtual ~DllClassDerived ();
  int non_virtual_method () const;
  virtual int virtual_method () const;
private:
  int i_;
};

extern "C" {
DLLIMPORT DllClassDerived* new_dllclass_derived (int);
DLLIMPORT int non_virtual_method_derived (const DllClassDerived*);
}

#endif /* dllclass2_h_included */
